package com.ghy.common.enums;

/**
 * 用户行为枚举
 *
 * @author HH
 */

public enum OrderBehaviorEnum {

    /**
     * 接受订单
     */
    ACCEPT_ORDER("ACCEPT_ORDER", "接受订单"),
    /**
     * 拒绝订单
     */
    REFUSE_ORDER("REFUSE_ORDER", "拒绝订单"),
    /**
     * 完成订单
     */
    FINISH_ORDER("FINISH_ORDER", "完成订单"),
    /**
     * 派单
     */
    ASSIGN_ORDER("ASSIGN_ORDER", "派单"),
    /**
     * 拒绝验收
     */
    REJECT_ACCEPTANCE("REJECT_ACCEPTANCE", "拒绝验收");

    public final String code;
    public final String desc;

    OrderBehaviorEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
